%define _prefix /usr

Summary: The Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-plugins
Version: 1.0.4
Release: 2.art
Source0: %{name}-%{version}.tar.gz
Patch0:  %{name}-1.0.0-Makefile.diff
License: GNU GPLv2
Group: Productivity/Networking/Security
Packager:       Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor:         Atomic Rocket Turtle, http://www.atomicrocketturtle.com
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0


BuildRequires: openvas-server-devel openvas-libraries-devel openvas-libnasl-devel
BuildRequires: flex

%if 0%{?el3}%{?el4}%{?fc4}
BuildRequires: libpcap libgcrypt-devel gnutls-devel gpgme gpgme-devel
%else
BuildRequires: libpcap-devel libgcrypt-devel gnutls-devel gpgme gpgme-devel
#BuildRequires: libpcap libgcrypt-devel gnutls-devel gpgme gpgme-devel
%endif



%description
openvas-plugins adds the acutal vulnerbaility tests to
the Network Vulnerabilty Scanner OpenVAS.

%prep
%setup -b 0
%patch0

%build
%configure --prefix=%{_prefix}
make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING
#%{_mandir}/man?/*
%{_libdir}/openvas/plugins/*
%{_sbindir}/openvas-nvt-sync

#%{_bindir}/openvas-build
#%{_libdir}/openvas/plugins_factory/*

%changelog
* Thu Nov 6 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.4-2
- Update to 1.0.4

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun removed
* Wed Apr 16 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial OpenSUSE 10.2 spec file, tested for i586
